Get trace
curl --request GET \
--url https://api.leokit.dev/trace/{traceId} \
--header 'Api-Key: <api-key>'import requests
url = "https://api.leokit.dev/trace/{traceId}"
headers = {"Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};
fetch('https://api.leokit.dev/trace/{traceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"created_at": "2025-12-14T01:22:57.482109+00:00",
"client_api": "54f67efd-dc72-47b1-aa85-81edeac76be2",
"name": "Error",
"message": "invalid contract address or ENS name (argument=\"addressOrName\", value=undefined, code=INVALID_ARGUMENT, version=contracts/5.8.0)",
"code": "INVALID_ARGUMENT",
"method": "POST",
"url": "/leokit/deposit",
"stack": "Error: invalid contract address or ENS name (argument=\\\"addressOrName\\\", value=undefined, code=INVALID_ARGUMENT, version=contracts/5.8.0)\\n at <anonymous> (/Users/eren/Desktop/eren/leodex-backend/node_modules/@ethersproject/logger/lib/index.js:238:25)\\n at <anonymous> (/Users/eren/Desktop/eren/leodex-backend/node_modules/@ethersproject/logger/lib/index.js:247:20)\\n at BaseContract (/Users/eren/Desktop/eren/leodex-backend/node_modules/@ethersproject/contracts/lib/index.js:669:20)\\n at new Contract (/Users/eren/Desktop/eren/leodex-backend/node_modules/@ethersproject/contracts/lib/index.js:1053:42)\\n at thorchain_buildUnsignedEvmTx (/Users/eren/Desktop/eren/leodex-backend/utils/leokit/builders/evm/default.ts:122:38)\\n at thorchain_buildUnsignedEvmTx (/Users/eren/Desktop/eren/leodex-backend/utils/leokit/builders/evm/default.ts:100:3)\\n at evmDepositHandler (/Users/eren/Desktop/eren/leodex-backend/utils/leokit/deposit/evm.ts:51:20)\\n at evmDepositHandler (/Users/eren/Desktop/eren/leodex-backend/utils/leokit/deposit/evm.ts:17:40)\\n at deposit (/Users/eren/Desktop/eren/leodex-backend/utils/leokit/sdk.ts:132:36)\\n at deposit (/Users/eren/Desktop/eren/leodex-backend/utils/leokit/sdk.ts:119:24)",
"trace_id": "019b1a74-22c2-7000-ae23-f8ff1a788a41"
}{
"message": "<string>",
"code": "<string>"
}Endpoint Details
Trace
Track your issue with Trace ID
GET
/
trace
/
{traceId}
Get trace
Authorizations
Demo API-Key (Sandbox): 7037d2b3-9c76-4f62-b730-c544f7570fa4
Path Parameters
Trace identifier returned by the API when an error occurs.
Response
Trace details
Trace record returned by /trace/{traceId}.
Internal trace record identifier.
ISO 8601 timestamp when the trace was created.
Client API key/identifier associated with the request.
Short error name/category.
Human-readable error message.
Error code identifier (e.g., INVALID_ARGUMENT).
HTTP method of the original request (e.g., POST).
Request URL/path that produced the trace.
Stack trace string captured from the error.
Trace identifier used to fetch this record.
⌘I